EKNO YUAG - Bug #4146

Penambahan Validasi di ESS Overtime untuk End Overtime
01/13/2026 06:03 PM - Mr lkmal

Status: Assigned Start date: 01/13/2026
Priority: Normal Due date: 01/15/2026
Assignee: mabhlil .. % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear team Developer,
Mohon bantuannya untuk membuatt tambhan validasi sinkronisasi antara end time overtime dengan jam clock-out Attendance.

Validasi ini diperlukan agar jam overtime sesuai dengan jam clock-out pada data attendance. Berikut konsep yg sudah didiskusikan
di internal:

- Pada saat atasan melakukan approval, sistem perlu melakukan pengecekan apakah jam pulang lembur sama dengan jam
clock-out pada attendance.

- Jika belum sesuai, sistem menampilkan pesan bahwa data perlu direvise.

- Jika sudah sesuai, maka approval dapat diproses dan data berhasil masuk ke MD.
Tambahan Kondisi Validasi:

- Apabila end time clock-out masih kosong / belum tercatat, maka:

- Sistem tidak mengizinkan approval overtime & menampilkan pesan bahwa data attendance belum lengkap sehingga perlu
dilengkapi terlebih dahulu sebelum proses approval dapat dilakukan.

Terima kasih.

PORT DEV
hris-ekno-dev.minovais.com
db nya minovaes_ekno_dev yang di cloud 89

PORT PROD

Port DB: 103.153.60.89

database: MinovaES_Ekno
https://hris-ekno.minovais.com/Account/Login

History

#1 - 01/14/2026 04:36 PM - Kezia Pawitra Yulianti
- Due date set to 01/15/2026
- Status changed from New to Assigned

- Assignee changed from Kezia Pawitra Yulianti to M Azid Wahyudi

#2 - 01/15/2026 08:48 AM - M Azid Wahyudi
- Status changed from Assigned to Revise
- Assignee changed from M Azid Wahyudi to Mr Ikmal

dear ikmal , berikut ini note terkait redmine ini

note : untuk ini belom di akomodir dari sistem mobile kita saat ini kan approval cuman approve saja kan , saat ini statusnya masih di mabhlil untuk
pengembangan apk mobilenya

terima kasih
#3 - 01/15/2026 10:02 AM - Mr lkmal

- Status changed from Revise to Assigned

- Assignee changed from Mr lkmal to mabhlil ..

Dear mahlil,
Mohon dibantu yaa.

Terima kasih.
